### Method

# Gtk.TreeModel.get_iter_from_string

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter_from_string (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      const char* path_string
    )

#### Description [src]

Sets `iter` to a valid iterator pointing to `path_string`, if it exists. Otherwise, `iter` is left invalid and `FALSE` is returned.

#### Parameters

`iter` | `GtkTreeIter`
| an uninitialized `GtkTreeIter`-struct
| Direction: out
| Ownership is not transferred to the callee
`path_string` | `const char*`
| a string representation of a `GtkTreePath`-struct
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE`, if `iter` was set